Skip to main content
POST
/
formations
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.formations.submit({
    entityType: "LLC",
    state: "Oklahoma",
    naicsCode: "<value>",
    description: "hippodrome emphasize ferociously eulogise through gadzooks phew reschedule beyond",
    nameOptions: [
      {
        name: "<value>",
        entityTypeEnding: "Limited Liability Company",
      },
    ],
    members: [
      {
        legalFirstName: "<value>",
        legalLastName: "<value>",
        contactFullName: "<value>",
        ownershipPercent: 1306.42,
        address: {
          line1: "<value>",
          city: "Lindsaychester",
          state: "Ohio",
          postalCode: "26472",
          country: "China",
        },
      },
    ],
    responsibleParty: {
      legalFirstName: "<value>",
      legalLastName: "<value>",
      address: {
        line1: "<value>",
        city: "Elmoreworth",
        state: "Delaware",
        postalCode: "30968-7847",
        country: "Liechtenstein",
      },
    },
    mailingAddress: {
      line1: "<value>",
      city: "Flatleystad",
      state: "Vermont",
      postalCode: "95160",
      country: "Russian Federation",
    },
  });

  console.log(result);
}

run();
curl --request POST \
--url https://api.crevio.co/v1/formations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_type": "LLC",
"state": "<string>",
"naics_code": "<string>",
"description": "<string>",
"name_options": [
{
"name": "<string>"
}
],
"members": [
{
"legal_first_name": "<string>",
"legal_last_name": "<string>",
"contact_full_name": "<string>",
"ownership_percent": 123,
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"phone": "<string>"
},
"is_natural_person": true,
"ssn": "<string>"
}
],
"responsible_party": {
"legal_first_name": "<string>",
"legal_last_name": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"phone": "<string>"
},
"email": "<string>",
"ssn": "<string>"
},
"mailing_address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"phone": "<string>"
},
"phone_number": "<string>",
"verification_id": "<string>"
}
'
import requests

url = "https://api.crevio.co/v1/formations"

payload = {
"entity_type": "LLC",
"state": "<string>",
"naics_code": "<string>",
"description": "<string>",
"name_options": [{ "name": "<string>" }],
"members": [
{
"legal_first_name": "<string>",
"legal_last_name": "<string>",
"contact_full_name": "<string>",
"ownership_percent": 123,
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"phone": "<string>"
},
"is_natural_person": True,
"ssn": "<string>"
}
],
"responsible_party": {
"legal_first_name": "<string>",
"legal_last_name": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"phone": "<string>"
},
"email": "<string>",
"ssn": "<string>"
},
"mailing_address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"phone": "<string>"
},
"phone_number": "<string>",
"verification_id": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_type: 'LLC',
state: '<string>',
naics_code: '<string>',
description: '<string>',
name_options: [{name: '<string>'}],
members: [
{
legal_first_name: '<string>',
legal_last_name: '<string>',
contact_full_name: '<string>',
ownership_percent: 123,
address: {
line1: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>',
line2: '<string>',
phone: '<string>'
},
is_natural_person: true,
ssn: '<string>'
}
],
responsible_party: {
legal_first_name: '<string>',
legal_last_name: '<string>',
address: {
line1: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>',
line2: '<string>',
phone: '<string>'
},
email: '<string>',
ssn: '<string>'
},
mailing_address: {
line1: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>',
line2: '<string>',
phone: '<string>'
},
phone_number: '<string>',
verification_id: '<string>'
})
};

fetch('https://api.crevio.co/v1/formations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "entity_type": "LLC",
  "state": "<string>",
  "naics_code": "<string>",
  "description": "<string>",
  "name_options": "<array>",
  "members": "<array>",
  "responsible_party": {},
  "mailing_address": {},
  "ein": "<string>",
  "formation_filing_date": "<string>",
  "admin_notes": "<array>",
  "doola_error": "<string>",
  "stripe_checkout_session_id": "<string>",
  "submitted_at": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "doola_company_id": "<string>",
  "verification_id": "<string>",
  "documents": [
    {
      "id": "<string>",
      "object": "<string>",
      "name": "<string>",
      "content_type": "<string>",
      "doola_created_at": "<string>",
      "doola_last_modified_at": "<string>",
      "doola_company_id": "<string>",
      "download_url": "<string>"
    }
  ],
  "checkout_url": "<string>",
  "charged_inline": true
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Body

application/json
entity_type
enum<string>
required

Today doola only supports LLC

Available options:
LLC
state
string
required

Two-letter US state code (e.g. WY)

naics_code
string
required

6-digit NAICS code (from GET /v1/formations/naics_codes)

description
string
required
Maximum string length: 250
name_options
object[]
required
Required array length: 1 - 3 elements
members
object[]
required

LLC members. Ownership percentages must sum to exactly 100.

Minimum array length: 1
responsible_party
object
required
mailing_address
object
required
phone_number
string
verification_id
string

KYC verification id from the active KYC provider. Optional — omitted means auto-resolve via the configured provider.

Response

Formation created

id
string
required
object
string
required
status
enum<string>
required
Available options:
awaiting_payment,
pending,
submitted,
completed,
failed
entity_type
enum<string>
required
Available options:
LLC
state
string
required
naics_code
string
required
description
string
required
name_options
array
required
members
array
required
responsible_party
object
required
mailing_address
object
required
ein
string | null
required
formation_filing_date
string | null
required
admin_notes
array
required
doola_error
string | null
required
stripe_checkout_session_id
string | null
required
submitted_at
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
doola_company_id
string | null
required
verification_id
string | null
required
payment_status
enum<string>
required
Available options:
unpaid,
paid,
refunded
documents
object[]
required
checkout_url
string | null

Present when hosted checkout is needed

charged_inline
boolean

True when card-on-file charged inline without redirect